Index: ./chat/jabberd/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/chat/jabberd/buildlink3.mk,v
retrieving revision 1.8
diff -u -r1.8 buildlink3.mk
--- ./chat/jabberd/buildlink3.mk	5 Feb 2006 23:08:24 -0000	1.8
+++ ./chat/jabberd/buildlink3.mk	4 Apr 2006 06:26:51 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	jabberd
 
 .if !empty(JABBERD_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.jabberd+=	jabberd>=1.4.2
-BUILDLINK_RECOMMENDED.jabberd?=	jabberd>=1.4.2nb5
+BUILDLINK_API_DEPENDS.jabberd+=	jabberd>=1.4.2
+BUILDLINK_ABI_DEPENDS.jabberd?=	jabberd>=1.4.2nb5
 BUILDLINK_PKGSRCDIR.jabberd?=	../../chat/jabberd
 .endif	# JABBERD_BUILDLINK3_MK
 
Index: ./chat/jabberd2/Makefile
===================================================================
RCS file: /cvsroot/pkgsrc/chat/jabberd2/Makefile,v
retrieving revision 1.29
diff -u -r1.29 Makefile
--- ./chat/jabberd2/Makefile	5 Feb 2006 23:08:25 -0000	1.29
+++ ./chat/jabberd2/Makefile	4 Apr 2006 06:26:51 -0000
@@ -15,7 +15,7 @@
 USE_LIBTOOL=		yes
 GNU_CONFIGURE=		yes
 
-BUILDLINK_DEPENDS.openssl+=	openssl>=0.9.6b
+BUILDLINK_API_DEPENDS.openssl+=	openssl>=0.9.6b
 BUILDLINK_TRANSFORM.db4=	-e "s,/db4/,/,g"
 
 SUBST_CLASSES+=		path
Index: ./chat/libirc/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/chat/libirc/buildlink3.mk,v
retrieving revision 1.2
diff -u -r1.2 buildlink3.mk
--- ./chat/libirc/buildlink3.mk	3 Oct 2004 00:13:15 -0000	1.2
+++ ./chat/libirc/buildlink3.mk	4 Apr 2006 06:26:51 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	libirc
 
 .if !empty(LIBIRC_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.libirc+=	libirc>=0.2nb1
-BUILDLINK_RECOMMENDED.libirc+=	libirc>=0.2nb2
+BUILDLINK_API_DEPENDS.libirc+=	libirc>=0.2nb1
+BUILDLINK_ABI_DEPENDS.libirc+=	libirc>=0.2nb2
 BUILDLINK_PKGSRCDIR.libirc?=	../../chat/libirc
 .endif	# LIBIRC_BUILDLINK3_MK
 
Index: ./chat/libotr/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/chat/libotr/buildlink3.mk,v
retrieving revision 1.5
diff -u -r1.5 buildlink3.mk
--- ./chat/libotr/buildlink3.mk	13 Feb 2006 14:44:31 -0000	1.5
+++ ./chat/libotr/buildlink3.mk	4 Apr 2006 06:26:51 -0000
@@ -11,7 +11,7 @@
 BUILDLINK_PACKAGES+=	libotr
 
 .if !empty(LIBOTR_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.libotr+=	libotr>=3.0.0
+BUILDLINK_API_DEPENDS.libotr+=	libotr>=3.0.0
 BUILDLINK_PKGSRCDIR.libotr?=	../../chat/libotr
 .endif	# LIBOTR_BUILDLINK3_MK
 
Index: ./chat/libtlen/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/chat/libtlen/buildlink3.mk,v
retrieving revision 1.5
diff -u -r1.5 buildlink3.mk
--- ./chat/libtlen/buildlink3.mk	5 Feb 2006 18:55:22 -0000	1.5
+++ ./chat/libtlen/buildlink3.mk	4 Apr 2006 06:26:51 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	libtlen
 
 .if !empty(LIBTLEN_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.libtlen+=	libtlen>=20040212
-BUILDLINK_RECOMMENDED.libtlen+=	libtlen>=20040212nb1
+BUILDLINK_API_DEPENDS.libtlen+=	libtlen>=20040212
+BUILDLINK_ABI_DEPENDS.libtlen+=	libtlen>=20040212nb1
 BUILDLINK_PKGSRCDIR.libtlen?=	../../chat/libtlen
 .endif	# LIBTLEN_BUILDLINK3_MK
 
Index: ./chat/licq-gui-qt/Makefile
===================================================================
RCS file: /cvsroot/pkgsrc/chat/licq-gui-qt/Makefile,v
retrieving revision 1.22
diff -u -r1.22 Makefile
--- ./chat/licq-gui-qt/Makefile	4 Mar 2006 21:29:03 -0000	1.22
+++ ./chat/licq-gui-qt/Makefile	4 Apr 2006 06:26:51 -0000
@@ -12,7 +12,7 @@
 HOMEPAGE=	http://www.licq.org/
 COMMENT=	Qt GUI for licq
 
-BUILDLINK_DEPENDS.qt3-libs?=    qt3-libs>=3.0
+BUILDLINK_API_DEPENDS.qt3-libs?=    qt3-libs>=3.0
 DEPENDS+=	licq-core-[0-9]*:../../chat/licq-core
 
 .include "../../mk/bsd.prefs.mk"
Index: ./chat/loudmouth/Makefile
===================================================================
RCS file: /cvsroot/pkgsrc/chat/loudmouth/Makefile,v
retrieving revision 1.20
diff -u -r1.20 Makefile
--- ./chat/loudmouth/Makefile	6 Mar 2006 00:18:10 -0000	1.20
+++ ./chat/loudmouth/Makefile	4 Apr 2006 06:26:51 -0000
@@ -20,7 +20,7 @@
 CONFIGURE_ARGS+=	--disable-gtk-doc
 CONFIGURE_ARGS+=	--disable-mono
 
-BUILDLINK_DEPENDS.gnutls+=	gnutls>=1.2.0
+BUILDLINK_API_DEPENDS.gnutls+=	gnutls>=1.2.0
 
 .include "../../converters/libiconv/buildlink3.mk"
 .include "../../devel/glib2/buildlink3.mk"
Index: ./chat/loudmouth/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/chat/loudmouth/buildlink3.mk,v
retrieving revision 1.9
diff -u -r1.9 buildlink3.mk
--- ./chat/loudmouth/buildlink3.mk	5 Feb 2006 23:08:25 -0000	1.9
+++ ./chat/loudmouth/buildlink3.mk	4 Apr 2006 06:26:51 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	loudmouth
 
 .if !empty(LOUDMOUTH_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.loudmouth+=	loudmouth>=1.0
-BUILDLINK_RECOMMENDED.loudmouth?=	loudmouth>=1.0.1nb2
+BUILDLINK_API_DEPENDS.loudmouth+=	loudmouth>=1.0
+BUILDLINK_ABI_DEPENDS.loudmouth?=	loudmouth>=1.0.1nb2
 BUILDLINK_PKGSRCDIR.loudmouth?=	../../chat/loudmouth
 .endif	# LOUDMOUTH_BUILDLINK3_MK
 
Index: ./chat/psi/Makefile
===================================================================
RCS file: /cvsroot/pkgsrc/chat/psi/Makefile,v
retrieving revision 1.39
diff -u -r1.39 Makefile
--- ./chat/psi/Makefile	23 Mar 2006 02:24:58 -0000	1.39
+++ ./chat/psi/Makefile	4 Apr 2006 06:26:51 -0000
@@ -76,6 +76,6 @@
 .include "../../devel/zlib/buildlink3.mk"
 .include "../../security/qca/buildlink3.mk"
 .include "../../x11/qt3-libs/buildlink3.mk"
-BUILDLINK_DEPENDS.qt3-tools+=	qt3-tools>=3.3.5nb6
+BUILDLINK_API_DEPENDS.qt3-tools+=	qt3-tools>=3.3.5nb6
 .include "../../x11/qt3-tools/buildlink3.mk"
 .include "../../mk/bsd.pkg.mk"
Index: ./chat/unrealircd/Makefile
===================================================================
RCS file: /cvsroot/pkgsrc/chat/unrealircd/Makefile,v
retrieving revision 1.11
diff -u -r1.11 Makefile
--- ./chat/unrealircd/Makefile	7 Mar 2006 17:23:51 -0000	1.11
+++ ./chat/unrealircd/Makefile	4 Apr 2006 06:26:51 -0000
@@ -21,8 +21,8 @@
 TRE_NEEDED=	0.7.2
 CARES_NEEDED=	1.3.0
 
-BUILDLINK_DEPENDS.tre+=		tre-${TRE_NEEDED}
-BUILDLINK_DEPENDS.libcares+=	libcares-${CARES_NEEDED}
+BUILDLINK_API_DEPENDS.tre+=		tre-${TRE_NEEDED}
+BUILDLINK_API_DEPENDS.libcares+=	libcares-${CARES_NEEDED}
 
 .include "../../mk/bsd.prefs.mk"
 
Index: ./chat/zephyr/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/chat/zephyr/buildlink3.mk,v
retrieving revision 1.3
diff -u -r1.3 buildlink3.mk
--- ./chat/zephyr/buildlink3.mk	5 Feb 2006 23:08:26 -0000	1.3
+++ ./chat/zephyr/buildlink3.mk	4 Apr 2006 06:26:51 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	zephyr
 
 .if !empty(ZEPHYR_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.zephyr+=	zephyr>=20010518nb1
-BUILDLINK_RECOMMENDED.zephyr?=	zephyr>=20010518nb4
+BUILDLINK_API_DEPENDS.zephyr+=	zephyr>=20010518nb1
+BUILDLINK_ABI_DEPENDS.zephyr?=	zephyr>=20010518nb4
 BUILDLINK_PKGSRCDIR.zephyr?=	../../chat/zephyr
 BUILDLINK_DEPMETHOD.zephyr?=	build
 .endif	# ZEPHYR_BUILDLINK3_MK
Index: ./comms/gnome-pilot/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/comms/gnome-pilot/buildlink3.mk,v
retrieving revision 1.9
diff -u -r1.9 buildlink3.mk
--- ./comms/gnome-pilot/buildlink3.mk	5 Feb 2006 23:08:27 -0000	1.9
+++ ./comms/gnome-pilot/buildlink3.mk	4 Apr 2006 06:26:51 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	gnome-pilot
 
 .if !empty(GNOME_PILOT_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.gnome-pilot?=		gnome-pilot>=2.0.12nb2
-BUILDLINK_RECOMMENDED.gnome-pilot?=	gnome-pilot>=2.0.12nb4
+BUILDLINK_API_DEPENDS.gnome-pilot?=		gnome-pilot>=2.0.12nb2
+BUILDLINK_ABI_DEPENDS.gnome-pilot?=	gnome-pilot>=2.0.12nb4
 BUILDLINK_PKGSRCDIR.gnome-pilot?=	../../comms/gnome-pilot
 .endif	# GNOME_PILOT_BUILDLINK3_MK
 
Index: ./comms/jpilot/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/comms/jpilot/buildlink3.mk,v
retrieving revision 1.6
diff -u -r1.6 buildlink3.mk
--- ./comms/jpilot/buildlink3.mk	5 Feb 2006 23:08:27 -0000	1.6
+++ ./comms/jpilot/buildlink3.mk	4 Apr 2006 06:26:51 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	jpilot
 
 .if !empty(JPILOT_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.jpilot+=	jpilot>=0.99.5nb4
-BUILDLINK_RECOMMENDED.jpilot+=	jpilot>=0.99.7nb2
+BUILDLINK_API_DEPENDS.jpilot+=	jpilot>=0.99.5nb4
+BUILDLINK_ABI_DEPENDS.jpilot+=	jpilot>=0.99.7nb2
 BUILDLINK_PKGSRCDIR.jpilot?=	../../comms/jpilot
 .endif	# JPILOT_BUILDLINK3_MK
 
Index: ./comms/libmal/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/comms/libmal/buildlink3.mk,v
retrieving revision 1.3
diff -u -r1.3 buildlink3.mk
--- ./comms/libmal/buildlink3.mk	5 Feb 2006 23:08:27 -0000	1.3
+++ ./comms/libmal/buildlink3.mk	4 Apr 2006 06:26:51 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	libmal
 
 .if !empty(LIBMAL_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.libmal+=	libmal>=0.40
-BUILDLINK_RECOMMENDED.libmal+=	libmal>=0.40nb2
+BUILDLINK_API_DEPENDS.libmal+=	libmal>=0.40
+BUILDLINK_ABI_DEPENDS.libmal+=	libmal>=0.40nb2
 BUILDLINK_PKGSRCDIR.libmal?=	../../comms/libmal
 .endif	# LIBMAL_BUILDLINK3_MK
 
Index: ./comms/openobex/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/comms/openobex/buildlink3.mk,v
retrieving revision 1.4
diff -u -r1.4 buildlink3.mk
--- ./comms/openobex/buildlink3.mk	5 Feb 2006 23:08:28 -0000	1.4
+++ ./comms/openobex/buildlink3.mk	4 Apr 2006 06:26:51 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	openobex
 
 .if !empty(OPENOBEX_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.openobex+=	openobex>=1.0.1
-BUILDLINK_RECOMMENDED.openobex+=	openobex>=1.0.1nb2
+BUILDLINK_API_DEPENDS.openobex+=	openobex>=1.0.1
+BUILDLINK_ABI_DEPENDS.openobex+=	openobex>=1.0.1nb2
 BUILDLINK_PKGSRCDIR.openobex?=	../../comms/openobex
 .endif	# OPENOBEX_BUILDLINK3_MK
 
Index: ./comms/p5-pilot-link/Makefile
===================================================================
RCS file: /cvsroot/pkgsrc/comms/p5-pilot-link/Makefile,v
retrieving revision 1.30
diff -u -r1.30 Makefile
--- ./comms/p5-pilot-link/Makefile	5 Feb 2006 23:08:28 -0000	1.30
+++ ./comms/p5-pilot-link/Makefile	4 Apr 2006 06:26:51 -0000
@@ -8,7 +8,7 @@
 
 COMMENT=		Perl bindings for pilot-link
 
-BUILDLINK_DEPENDS.pilot-link-libs=	pilot-link-libs>=${PILOT_LINK_VERS}
+BUILDLINK_API_DEPENDS.pilot-link-libs=	pilot-link-libs>=${PILOT_LINK_VERS}
 
 USE_TOOLS+=		gmake
 
Index: ./comms/pilot-link/Makefile
===================================================================
RCS file: /cvsroot/pkgsrc/comms/pilot-link/Makefile,v
retrieving revision 1.43
diff -u -r1.43 Makefile
--- ./comms/pilot-link/Makefile	5 Feb 2006 23:08:28 -0000	1.43
+++ ./comms/pilot-link/Makefile	4 Apr 2006 06:26:51 -0000
@@ -6,7 +6,7 @@
 
 COMMENT=		Tools to talk to the 3Com Pilot PDA
 
-BUILDLINK_DEPENDS.pilot-link-libs=	pilot-link-libs>=${PILOT_LINK_VERS}
+BUILDLINK_API_DEPENDS.pilot-link-libs=	pilot-link-libs>=${PILOT_LINK_VERS}
 
 USE_TOOLS+=		gmake perl:run
 USE_GNU_READLINE=	YES
Index: ./comms/pilot-link-libs/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/comms/pilot-link-libs/buildlink3.mk,v
retrieving revision 1.4
diff -u -r1.4 buildlink3.mk
--- ./comms/pilot-link-libs/buildlink3.mk	3 Oct 2004 00:13:16 -0000	1.4
+++ ./comms/pilot-link-libs/buildlink3.mk	4 Apr 2006 06:26:51 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	pilot-link-libs
 
 .if !empty(PILOT_LINK_LIBS_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.pilot-link-libs+=	pilot-link-libs>=0.11.7nb1
-BUILDLINK_RECOMMENDED.pilot-link-libs+=	pilot-link-libs>=0.11.7nb2
+BUILDLINK_API_DEPENDS.pilot-link-libs+=	pilot-link-libs>=0.11.7nb1
+BUILDLINK_ABI_DEPENDS.pilot-link-libs+=	pilot-link-libs>=0.11.7nb2
 BUILDLINK_PKGSRCDIR.pilot-link-libs?=	../../comms/pilot-link-libs
 .endif	# PILOT_LINK_LIBS_BUILDLINK3_MK
 
Index: ./comms/synce-librapi2/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/comms/synce-librapi2/buildlink3.mk,v
retrieving revision 1.1.1.1
diff -u -r1.1.1.1 buildlink3.mk
--- ./comms/synce-librapi2/buildlink3.mk	13 Oct 2005 15:03:42 -0000	1.1.1.1
+++ ./comms/synce-librapi2/buildlink3.mk	4 Apr 2006 06:26:51 -0000
@@ -11,7 +11,7 @@
 BUILDLINK_PACKAGES+=	synce-librapi2
 
 .if !empty(SYNCE_LIBRAPI2_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.synce-librapi2+=	synce-librapi2>=0.9.1
+BUILDLINK_API_DEPENDS.synce-librapi2+=	synce-librapi2>=0.9.1
 BUILDLINK_PKGSRCDIR.synce-librapi2?=	../../comms/synce-librapi2
 .endif	# SYNCE_LIBRAPI2_BUILDLINK3_MK
 
Index: ./comms/synce-libsynce/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/comms/synce-libsynce/buildlink3.mk,v
retrieving revision 1.1.1.1
diff -u -r1.1.1.1 buildlink3.mk
--- ./comms/synce-libsynce/buildlink3.mk	13 Oct 2005 15:00:13 -0000	1.1.1.1
+++ ./comms/synce-libsynce/buildlink3.mk	4 Apr 2006 06:26:51 -0000
@@ -11,7 +11,7 @@
 BUILDLINK_PACKAGES+=	synce-libsynce
 
 .if !empty(SYNCE_LIBSYNCE_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.synce-libsynce+=	synce-libsynce>=0.9.1
+BUILDLINK_API_DEPENDS.synce-libsynce+=	synce-libsynce>=0.9.1
 BUILDLINK_PKGSRCDIR.synce-libsynce?=	../../comms/synce-libsynce
 .endif	# SYNCE_LIBSYNCE_BUILDLINK3_MK
 
Index: ./comms/zaptel-netbsd/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/comms/zaptel-netbsd/buildlink3.mk,v
retrieving revision 1.3
diff -u -r1.3 buildlink3.mk
--- ./comms/zaptel-netbsd/buildlink3.mk	5 Feb 2006 23:08:28 -0000	1.3
+++ ./comms/zaptel-netbsd/buildlink3.mk	4 Apr 2006 06:26:51 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	zaptel-netbsd
 
 .if !empty(ZAPTEL_NETBSD_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.zaptel-netbsd+=	zaptel-netbsd>=20050314
-BUILDLINK_RECOMMENDED.zaptel-netbsd?=	zaptel-netbsd>=20060127nb1
+BUILDLINK_API_DEPENDS.zaptel-netbsd+=	zaptel-netbsd>=20050314
+BUILDLINK_ABI_DEPENDS.zaptel-netbsd?=	zaptel-netbsd>=20060127nb1
 BUILDLINK_PKGSRCDIR.zaptel-netbsd?=	../../comms/zaptel-netbsd
 BUILDLINK_DEPMETHOD.zaptel-netbsd?=	build
 .endif	# ZAPTEL_NETBSD_BUILDLINK3_MK
Index: ./converters/fribidi/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/converters/fribidi/buildlink3.mk,v
retrieving revision 1.3
diff -u -r1.3 buildlink3.mk
--- ./converters/fribidi/buildlink3.mk	3 Oct 2004 00:13:17 -0000	1.3
+++ ./converters/fribidi/buildlink3.mk	4 Apr 2006 06:26:51 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	fribidi
 
 .if !empty(FRIBIDI_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.fribidi+=	fribidi>=0.10.4
-BUILDLINK_RECOMMENDED.fribidi+=	fribidi>=0.10.4nb1
+BUILDLINK_API_DEPENDS.fribidi+=	fribidi>=0.10.4
+BUILDLINK_ABI_DEPENDS.fribidi+=	fribidi>=0.10.4nb1
 BUILDLINK_PKGSRCDIR.fribidi?=	../../converters/fribidi
 .endif	# FRIBIDI_BUILDLINK3_MK
 
Index: ./converters/libiconv/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/converters/libiconv/buildlink3.mk,v
retrieving revision 1.21
diff -u -r1.21 buildlink3.mk
--- ./converters/libiconv/buildlink3.mk	3 Oct 2004 00:13:17 -0000	1.21
+++ ./converters/libiconv/buildlink3.mk	4 Apr 2006 06:26:51 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	iconv
 
 .if !empty(ICONV_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.iconv+=	libiconv>=1.9.1
-BUILDLINK_RECOMMENDED.iconv+=	libiconv>=1.9.1nb4
+BUILDLINK_API_DEPENDS.iconv+=	libiconv>=1.9.1
+BUILDLINK_ABI_DEPENDS.iconv+=	libiconv>=1.9.1nb4
 BUILDLINK_PKGSRCDIR.iconv?=	../../converters/libiconv
 .endif	# ICONV_BUILDLINK3_MK
 
Index: ./converters/libiconv/builtin.mk
===================================================================
RCS file: /cvsroot/pkgsrc/converters/libiconv/builtin.mk,v
retrieving revision 1.14
diff -u -r1.14 builtin.mk
--- ./converters/libiconv/builtin.mk	6 Jun 2005 01:30:56 -0000	1.14
+++ ./converters/libiconv/builtin.mk	4 Apr 2006 06:26:51 -0000
@@ -63,7 +63,7 @@
 .    if defined(BUILTIN_PKG.iconv) && \
         !empty(IS_BUILTIN.iconv:M[yY][eE][sS])
 USE_BUILTIN.iconv=	yes
-.      for _dep_ in ${BUILDLINK_DEPENDS.iconv}
+.      for _dep_ in ${BUILDLINK_API_DEPENDS.iconv}
 .        if !empty(USE_BUILTIN.iconv:M[yY][eE][sS])
 USE_BUILTIN.iconv!=							\
 	if ${PKG_ADMIN} pmatch ${_dep_:Q} ${BUILTIN_PKG.iconv:Q}; then	\
Index: ./converters/libwpd/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/converters/libwpd/buildlink3.mk,v
retrieving revision 1.6
diff -u -r1.6 buildlink3.mk
--- ./converters/libwpd/buildlink3.mk	8 Feb 2006 09:42:53 -0000	1.6
+++ ./converters/libwpd/buildlink3.mk	4 Apr 2006 06:26:51 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	libwpd
 
 .if !empty(LIBWPD_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.libwpd+=	libwpd>=0.8.1nb1
-BUILDLINK_RECOMMENDED.libwpd?=	libwpd>=0.8.4
+BUILDLINK_API_DEPENDS.libwpd+=	libwpd>=0.8.1nb1
+BUILDLINK_ABI_DEPENDS.libwpd?=	libwpd>=0.8.4
 BUILDLINK_PKGSRCDIR.libwpd?=	../../converters/libwpd
 .endif	# LIBWPD_BUILDLINK3_MK
 
Index: ./converters/psiconv/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/converters/psiconv/buildlink3.mk,v
retrieving revision 1.4
diff -u -r1.4 buildlink3.mk
--- ./converters/psiconv/buildlink3.mk	28 Dec 2004 23:18:18 -0000	1.4
+++ ./converters/psiconv/buildlink3.mk	4 Apr 2006 06:26:51 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	psiconv
 
 .if !empty(PSICONV_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.psiconv+=	psiconv>=0.8.3nb1
-BUILDLINK_RECOMMENDED.psiconv+=	psiconv>=0.9.6nb1
+BUILDLINK_API_DEPENDS.psiconv+=	psiconv>=0.8.3nb1
+BUILDLINK_ABI_DEPENDS.psiconv+=	psiconv>=0.9.6nb1
 BUILDLINK_PKGSRCDIR.psiconv?=	../../converters/psiconv
 .endif	# PSICONV_BUILDLINK3_MK
 
Index: ./converters/recode/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/converters/recode/buildlink3.mk,v
retrieving revision 1.3
diff -u -r1.3 buildlink3.mk
--- ./converters/recode/buildlink3.mk	5 Feb 2006 23:08:29 -0000	1.3
+++ ./converters/recode/buildlink3.mk	4 Apr 2006 06:26:51 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	recode
 
 .if !empty(RECODE_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.recode+=	recode>=3.6nb1
-BUILDLINK_RECOMMENDED.recode+=	recode>=3.6nb3
+BUILDLINK_API_DEPENDS.recode+=	recode>=3.6nb1
+BUILDLINK_ABI_DEPENDS.recode+=	recode>=3.6nb3
 BUILDLINK_PKGSRCDIR.recode?=	../../converters/recode
 .endif	# RECODE_BUILDLINK3_MK
 
Index: ./converters/uulib/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/converters/uulib/buildlink3.mk,v
retrieving revision 1.2
diff -u -r1.2 buildlink3.mk
--- ./converters/uulib/buildlink3.mk	3 Oct 2004 00:13:17 -0000	1.2
+++ ./converters/uulib/buildlink3.mk	4 Apr 2006 06:26:51 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	uulib
 
 .if !empty(UULIB_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.uulib+=	uulib>=0.5.20
-BUILDLINK_RECOMMENDED.uulib+=	uulib>=0.5.20nb2
+BUILDLINK_API_DEPENDS.uulib+=	uulib>=0.5.20
+BUILDLINK_ABI_DEPENDS.uulib+=	uulib>=0.5.20nb2
 BUILDLINK_PKGSRCDIR.uulib?=	../../converters/uulib
 .endif	# UULIB_BUILDLINK3_MK
 
Index: ./converters/wv/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/converters/wv/buildlink3.mk,v
retrieving revision 1.10
diff -u -r1.10 buildlink3.mk
--- ./converters/wv/buildlink3.mk	5 Feb 2006 23:08:29 -0000	1.10
+++ ./converters/wv/buildlink3.mk	4 Apr 2006 06:26:51 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	wv
 
 .if !empty(WV_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.wv+=		wv>=1.0.0
-BUILDLINK_RECOMMENDED.wv+=	wv>=1.2.0nb2
+BUILDLINK_API_DEPENDS.wv+=		wv>=1.0.0
+BUILDLINK_ABI_DEPENDS.wv+=	wv>=1.2.0nb2
 BUILDLINK_PKGSRCDIR.wv?=	../../converters/wv
 .endif	# WV_BUILDLINK3_MK
 
Index: ./converters/wv2/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/converters/wv2/buildlink3.mk,v
retrieving revision 1.6
diff -u -r1.6 buildlink3.mk
--- ./converters/wv2/buildlink3.mk	5 Feb 2006 23:08:29 -0000	1.6
+++ ./converters/wv2/buildlink3.mk	4 Apr 2006 06:26:51 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	wv2
 
 .if !empty(WV2_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.wv2?=		wv2>=0.2.2nb1
-BUILDLINK_RECOMMENDED.wv2?=	wv2>=0.2.2nb4
+BUILDLINK_API_DEPENDS.wv2?=		wv2>=0.2.2nb1
+BUILDLINK_ABI_DEPENDS.wv2?=	wv2>=0.2.2nb4
 BUILDLINK_PKGSRCDIR.wv2?=	../../converters/wv2
 .endif	# WV2_BUILDLINK3_MK
 
Index: ./cross/binutils/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/cross/binutils/buildlink3.mk,v
retrieving revision 1.1
diff -u -r1.1 buildlink3.mk
--- ./cross/binutils/buildlink3.mk	5 Apr 2005 11:04:20 -0000	1.1
+++ ./cross/binutils/buildlink3.mk	4 Apr 2006 06:26:51 -0000
@@ -11,7 +11,7 @@
 BUILDLINK_PACKAGES+=	cross-binutils
 
 .if !empty(CROSS_BINUTILS_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.cross-binutils+=	cross-binutils>=2.15.0.0nb3
+BUILDLINK_API_DEPENDS.cross-binutils+=	cross-binutils>=2.15.0.0nb3
 BUILDLINK_PKGSRCDIR.cross-binutils?=	../../cross/binutils
 .endif	# CROSS_BINUTILS_BUILDLINK3_MK
 
Index: ./databases/bdb-xml/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/databases/bdb-xml/buildlink3.mk,v
retrieving revision 1.4
diff -u -r1.4 buildlink3.mk
--- ./databases/bdb-xml/buildlink3.mk	5 Feb 2006 23:08:30 -0000	1.4
+++ ./databases/bdb-xml/buildlink3.mk	4 Apr 2006 06:26:51 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	bdb-xml
 
 .if !empty(BDB_XML_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.bdb-xml+=	bdb-xml>=1.2.1nb3
-BUILDLINK_RECOMMENDED.bdb-xml?=	bdb-xml>=1.2.1nb4
+BUILDLINK_API_DEPENDS.bdb-xml+=	bdb-xml>=1.2.1nb3
+BUILDLINK_ABI_DEPENDS.bdb-xml?=	bdb-xml>=1.2.1nb4
 BUILDLINK_PKGSRCDIR.bdb-xml?=	../../databases/bdb-xml
 .endif	# BDB_XML_BUILDLINK3_MK
 
Index: ./databases/db/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/databases/db/buildlink3.mk,v
retrieving revision 1.19
diff -u -r1.19 buildlink3.mk
--- ./databases/db/buildlink3.mk	15 Nov 2004 17:54:49 -0000	1.19
+++ ./databases/db/buildlink3.mk	4 Apr 2006 06:26:51 -0000
@@ -13,8 +13,8 @@
 BUILDLINK_PACKAGES+=	db2
 
 .if !empty(DB_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.db2+=		db>=2.7.3
-BUILDLINK_RECOMMENDED.db2+=	db>=2.7.7nb2
+BUILDLINK_API_DEPENDS.db2+=		db>=2.7.3
+BUILDLINK_ABI_DEPENDS.db2+=	db>=2.7.7nb2
 BUILDLINK_PKGSRCDIR.db2?=	../../databases/db
 BUILDLINK_INCDIRS.db2?=		include/db2
 BUILDLINK_LDADD.db2=		-ldb2
Index: ./databases/db3/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/databases/db3/buildlink3.mk,v
retrieving revision 1.16
diff -u -r1.16 buildlink3.mk
--- ./databases/db3/buildlink3.mk	15 Nov 2004 17:54:49 -0000	1.16
+++ ./databases/db3/buildlink3.mk	4 Apr 2006 06:26:51 -0000
@@ -13,8 +13,8 @@
 BUILDLINK_PACKAGES+=	db3
 
 .if !empty(DB3_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.db3+=		db3>=2.9.2
-BUILDLINK_RECOMMENDED.db3+=	db3>=3.11.2nb3
+BUILDLINK_API_DEPENDS.db3+=		db3>=2.9.2
+BUILDLINK_ABI_DEPENDS.db3+=	db3>=3.11.2nb3
 BUILDLINK_PKGSRCDIR.db3?=	../../databases/db3
 BUILDLINK_INCDIRS.db3?=		include/db3
 BUILDLINK_LDADD.db3=		-ldb3
Index: ./databases/db4/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/databases/db4/buildlink3.mk,v
retrieving revision 1.25
diff -u -r1.25 buildlink3.mk
--- ./databases/db4/buildlink3.mk	6 Jan 2006 15:08:47 -0000	1.25
+++ ./databases/db4/buildlink3.mk	4 Apr 2006 06:26:51 -0000
@@ -13,7 +13,7 @@
 BUILDLINK_PACKAGES+=	db4
 
 .if !empty(DB4_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.db4+=		db4>=4.4.16
+BUILDLINK_API_DEPENDS.db4+=		db4>=4.4.16
 BUILDLINK_PKGSRCDIR.db4?=	../../databases/db4
 BUILDLINK_INCDIRS.db4?=		include/db4
 BUILDLINK_LDADD.db4=		-ldb4
@@ -23,7 +23,7 @@
 #
 # Older db4 packages didn't enable the db-1.85 compatibility API.
 #
-BUILDLINK_DEPENDS.db4+=		db4>=4.2.52nb1
+BUILDLINK_API_DEPENDS.db4+=		db4>=4.2.52nb1
 BUILDLINK_LIBS.db4=		${BUILDLINK_LDADD.db4}
 BUILDLINK_TRANSFORM+=		l:db:db4
 .  endif
Index: ./databases/dbh/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/databases/dbh/buildlink3.mk,v
retrieving revision 1.3
diff -u -r1.3 buildlink3.mk
--- ./databases/dbh/buildlink3.mk	16 Mar 2005 13:29:46 -0000	1.3
+++ ./databases/dbh/buildlink3.mk	4 Apr 2006 06:26:51 -0000
@@ -11,7 +11,7 @@
 BUILDLINK_PACKAGES+=	dbh
 
 .if !empty(DBH_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.dbh+=		dbh>=1.0.22
+BUILDLINK_API_DEPENDS.dbh+=		dbh>=1.0.22
 BUILDLINK_PKGSRCDIR.dbh?=	../../databases/dbh
 .endif	# DBH_BUILDLINK3_MK
 
Index: ./databases/edb/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/databases/edb/buildlink3.mk,v
retrieving revision 1.3
diff -u -r1.3 buildlink3.mk
--- ./databases/edb/buildlink3.mk	5 Feb 2006 23:08:30 -0000	1.3
+++ ./databases/edb/buildlink3.mk	4 Apr 2006 06:26:51 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	edb
 
 .if !empty(EDB_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.edb+=	edb>=1.0.3nb3
-BUILDLINK_RECOMMENDED.edb+=	edb>=1.0.3nb5
+BUILDLINK_API_DEPENDS.edb+=	edb>=1.0.3nb3
+BUILDLINK_ABI_DEPENDS.edb+=	edb>=1.0.3nb5
 BUILDLINK_PKGSRCDIR.edb?=	../../databases/edb
 .endif	# EDB_BUILDLINK3_MK
 
Index: ./databases/freetds/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/databases/freetds/buildlink3.mk,v
retrieving revision 1.6
diff -u -r1.6 buildlink3.mk
--- ./databases/freetds/buildlink3.mk	5 Feb 2006 23:08:30 -0000	1.6
+++ ./databases/freetds/buildlink3.mk	4 Apr 2006 06:26:51 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	freetds
 
 .if !empty(FREETDS_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.freetds+=	freetds>=0.63nb2
-BUILDLINK_RECOMMENDED.freetds?=	freetds>=0.63nb4
+BUILDLINK_API_DEPENDS.freetds+=	freetds>=0.63nb2
+BUILDLINK_ABI_DEPENDS.freetds?=	freetds>=0.63nb4
 BUILDLINK_PKGSRCDIR.freetds?=	../../databases/freetds
 .endif	# FREETDS_BUILDLINK3_MK
 
Index: ./databases/gdbm/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/databases/gdbm/buildlink3.mk,v
retrieving revision 1.3
diff -u -r1.3 buildlink3.mk
--- ./databases/gdbm/buildlink3.mk	3 Oct 2004 00:13:18 -0000	1.3
+++ ./databases/gdbm/buildlink3.mk	4 Apr 2006 06:26:51 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	gdbm
 
 .if !empty(GDBM_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.gdbm+=	gdbm>=1.8.3
-BUILDLINK_RECOMMENDED.gdbm+=	gdbm>=1.8.3nb1
+BUILDLINK_API_DEPENDS.gdbm+=	gdbm>=1.8.3
+BUILDLINK_ABI_DEPENDS.gdbm+=	gdbm>=1.8.3nb1
 BUILDLINK_PKGSRCDIR.gdbm?=	../../databases/gdbm
 .endif	# GDBM_BUILDLINK3_MK
 
Index: ./databases/geneweb/Makefile
===================================================================
RCS file: /cvsroot/pkgsrc/databases/geneweb/Makefile,v
retrieving revision 1.29
diff -u -r1.29 Makefile
--- ./databases/geneweb/Makefile	9 Mar 2006 10:35:49 -0000	1.29
+++ ./databases/geneweb/Makefile	4 Apr 2006 06:26:51 -0000
@@ -23,7 +23,7 @@
 
 # needed for patch-ab to work:
 # since 3.09.0, camlp4 uses _loc instead of loc
-BUILDLINK_DEPENDS.ocaml+=       ocaml>=3.09.0
+BUILDLINK_API_DEPENDS.ocaml+=       ocaml>=3.09.0
 
 # sysutils/coreutils a 'gwc' program, so conflict with it if
 # ${GNU_PROGRAM_PREFIX} == "g"
Index: ./databases/gnome-mime-data/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/databases/gnome-mime-data/buildlink3.mk,v
retrieving revision 1.6
diff -u -r1.6 buildlink3.mk
--- ./databases/gnome-mime-data/buildlink3.mk	5 Feb 2006 23:08:31 -0000	1.6
+++ ./databases/gnome-mime-data/buildlink3.mk	4 Apr 2006 06:26:51 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	gnome-mime-data
 
 .if !empty(GNOME_MIME_DATA_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.gnome-mime-data+=	gnome-mime-data>=2.4.0
-BUILDLINK_RECOMMENDED.gnome-mime-data?=	gnome-mime-data>=2.4.2nb2
+BUILDLINK_API_DEPENDS.gnome-mime-data+=	gnome-mime-data>=2.4.0
+BUILDLINK_ABI_DEPENDS.gnome-mime-data?=	gnome-mime-data>=2.4.2nb2
 BUILDLINK_PKGSRCDIR.gnome-mime-data?=	../../databases/gnome-mime-data
 
 # intltool-{extract,merge,update} are Perl scripts included in the sources
Index: ./databases/iodbc/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/databases/iodbc/buildlink3.mk,v
retrieving revision 1.3
diff -u -r1.3 buildlink3.mk
--- ./databases/iodbc/buildlink3.mk	30 Dec 2005 21:03:59 -0000	1.3
+++ ./databases/iodbc/buildlink3.mk	4 Apr 2006 06:26:51 -0000
@@ -11,7 +11,7 @@
 BUILDLINK_PACKAGES+=	iodbc
 
 .if !empty(IODBC_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.iodbc+=	iodbc>=3.52.3
+BUILDLINK_API_DEPENDS.iodbc+=	iodbc>=3.52.3
 BUILDLINK_PKGSRCDIR.iodbc?=	../../databases/iodbc
 .endif	# IODBC_BUILDLINK3_MK
 
Index: ./databases/libgda/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/databases/libgda/buildlink3.mk,v
retrieving revision 1.9
diff -u -r1.9 buildlink3.mk
--- ./databases/libgda/buildlink3.mk	5 Feb 2006 23:08:31 -0000	1.9
+++ ./databases/libgda/buildlink3.mk	4 Apr 2006 06:26:51 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	libgda
 
 .if !empty(LIBGDA_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.libgda+=	libgda>=1.9.100
-BUILDLINK_RECOMMENDED.libgda?=	libgda>=1.9.100nb1
+BUILDLINK_API_DEPENDS.libgda+=	libgda>=1.9.100
+BUILDLINK_ABI_DEPENDS.libgda?=	libgda>=1.9.100nb1
 BUILDLINK_PKGSRCDIR.libgda?=	../../databases/libgda
 
 PRINT_PLIST_AWK+=	/^@dirrm lib\/libgda-1.9\/providers$$/ \
Index: ./databases/libgnomedb/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/databases/libgnomedb/buildlink3.mk,v
retrieving revision 1.10
diff -u -r1.10 buildlink3.mk
--- ./databases/libgnomedb/buildlink3.mk	5 Feb 2006 23:08:32 -0000	1.10
+++ ./databases/libgnomedb/buildlink3.mk	4 Apr 2006 06:26:51 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	libgnomedb
 
 .if !empty(LIBGNOMEDB_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.libgnomedb+=		libgnomedb>=1.9.100
-BUILDLINK_RECOMMENDED.libgnomedb?=	libgnomedb>=1.9.100nb1
+BUILDLINK_API_DEPENDS.libgnomedb+=		libgnomedb>=1.9.100
+BUILDLINK_ABI_DEPENDS.libgnomedb?=	libgnomedb>=1.9.100nb1
 BUILDLINK_PKGSRCDIR.libgnomedb?=	../../databases/libgnomedb
 .endif	# LIBGNOMEDB_BUILDLINK3_MK
 
Index: ./databases/libpqxx/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/databases/libpqxx/buildlink3.mk,v
retrieving revision 1.2
diff -u -r1.2 buildlink3.mk
--- ./databases/libpqxx/buildlink3.mk	5 Feb 2006 23:08:32 -0000	1.2
+++ ./databases/libpqxx/buildlink3.mk	4 Apr 2006 06:26:51 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	libpqxx
 
 .if !empty(LIBPQXX_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.libpqxx+=	libpqxx>=2.5.0
-BUILDLINK_RECOMMENDED.libpqxx?=	libpqxx>=2.5.4nb1
+BUILDLINK_API_DEPENDS.libpqxx+=	libpqxx>=2.5.0
+BUILDLINK_ABI_DEPENDS.libpqxx?=	libpqxx>=2.5.4nb1
 BUILDLINK_PKGSRCDIR.libpqxx?=	../../databases/libpqxx
 .endif	# LIBPQXX_BUILDLINK3_MK
 
